
modExample_ClassPoisonMage
{
	Base		ClassMaleBase

	Name		"Poison Mage"

	PlayerClass	1

	SkillTree	modExample_SkillTreePoisonMage

	PlayerName	"Poison Guy"
	Male		1

	ModelName	Models/playerIceMage.mdl
	Attachment	AttachmentHairIceMage

	TextFile	Stories/modExample_poisonMage.txt

	AutoStartItem	Wand1

	OfficialClass	0
	Unlocks		0

	Scale		0.925
}

modExample_SkillTreePoisonMage
{
	Base		BaseSkillTree

	StartingSkills	7

	Skill		SkillSharedAttack

	Skill		modExample_SkillPoisonMagePotionThrow
	Skill		modExample_SkillPoisonMageResistance

	Skill		SkillSharedOffense
	Skill		SkillSharedDefense
	Skill		SkillSharedHealth
	Skill		SkillSharedPower
}

modExample_SkillPoisonMagePotionThrowPerLevel
{
	Base		BaseSkillPerLevel

	ProjMinDamage	2
	ProjMaxDamage	4
}

modExample_SkillPoisonMagePotionThrow
{
	Base		BaseSkillOffenseArea

	BaseName	$$PotionThrowSkillName$$
	Desc		$$PotionThrowSkillDesc$$

	TextureName	Textures/Icons/Skills/poisonPotion.tga

	Projectile	ProjApothecaryPotionThrow
	ProjMinDamage	3
	ProjMaxDamage	7
	ProjDamageType	Poison

	AlwaysWorks	1

	Power		18
	ShowSkillHint	1

	Animation	castArticShard
	WaitForAnim	1

	PerLevel	modExample_SkillPoisonMagePotionThrowPerLevel
}

modExample_SkillPoisonMageResistancePerLevel
{
	Base		BaseSkillPerLevel

	StatChangeResistancePoison	5
}

modExample_SkillPoisonMageResistance
{
	Base		BaseSkillPassive

	BaseName	"Poison Resistance"
	Desc		"Higher poison resistance"

	TextureName	Textures/Icons/Skills/elementalResistance.tga

	StatChangeResistancePoison	5

	PerLevel	modExample_SkillPoisonMageResistancePerLevel
}
